## lilypond-0.1.18.tar.gz

=== bin/Makefile ===
# bin/Makefile

depth = ..
include $(depth)/make/Include.make

# list of distribution files:
SCRIPTS = clearlily cpgento make-patch lily.efence \
	make-version release conflily clean-fonts mf-deps.py
PERL_SCRIPTS_IN = $(wildcard *.in)
PERL_SCRIPTS = $(addprefix $(outdir)/, $(PERL_SCRIPTS_IN:.in=))
EXTRA_DISTFILES = $(SCRIPTS) $(PERL_SCRIPTS_IN)
#

all: $(PERL_SCRIPTS)

$(outdir)/%: %.in
#	cd .. && CONFIG_FILES=bin/$(notdir $@) CONFIG_HEADERS= ./config.status
#	mv $(< :.in=) $@
# this nukes make/out/Configure_variables.make.
	sed 's!@PERL@!$(PERL)!' < $< > $@
	chmod 755 $@


EXECUTABLES=convert-mudela mudela-book
localinstall: all
	$(INSTALL) -d $(bindir)
	$(INSTALL) -m 755 $(outdir)/convert-mudela $(bindir)
	$(INSTALL) -m 755 $(outdir)/mudela-book $(bindir)

localuninstall:
	rm -f $(bindir)/convert-mudela $(bindir)/mudela-book

=== mf/Makefile ===
# mf/Makefile

# subdir level:
#
depth = ..
#
#
include ./$(depth)/make/Include.make
#

# list of distribution files:
# 
TEXFILES = $(wildcard *.tex)
MFFILES = $(wildcard *.mf)
EXTRA_DISTFILES = $(MFFILES) $(TEXFILES) TODO
#

FONT_FILES = $(wildcard *[0-9].mf)
FET_FILES = $(wildcard font-en-tja*[0-9].mf)

lyout = $(depth)/init
texout = $(depth)/tex
LYTABLES = $(addprefix $(lyout)/, $(FET_FILES:.mf=.ly))
TEXTABLES = $(addprefix $(texout)/, $(FET_FILES:.mf=.tex))
#

all: $(LYTABLES) $(TEXTABLES)

localclean:
	rm -f $(LYTABLES) $(TEXTABLES)

$(outdir)/%.dvi: %.mf
	mf $<
	gftodvi  $(basename $<)
	mv   $(basename $<).dvi $(outdir)
	rm $(basename $<).*gf

$(outdir)/%.log: %.mf
	mf $<
	mv $(@F) $@
	rm $(basename $< ).*gf

$(lyout)/%.ly $(texout)/%.tex: $(outdir)/%.log
	mf-to-table -l $(lyout)/$(<F:.log=.ly) -t $(texout)/$(<F:.log=.tex) $<

localinstall:
	$(INSTALL) -d $(MFDIR)/lilypond
	$(INSTALL) -m 644 $(MFFILES) $(MFDIR)/lilypond/

localuninstall:
	for i in $(MFFILES) ; do rm -f $(MFDIR)/lilypond/$$i; done
	-rmdir $(MFDIR)/lilypond/

# dependencies:
#
include $(outdir)/mfdeps



$(outdir)/mfdeps: $(FONT_FILES)
# do something silly to avoid barfs if python not installed.
	echo > $@
	python $(depth)/bin/mf-deps.py  $^ >> $@

=== make/debian/control ===
Source: lilypond
Section: tex
Priority: contrib/optional
Maintainer: Anthony Fok <foka@gpu.srv.ualberta.ca>
Standards-Version: 2.2.0.0

Package: lilypond
Architecture: any
Depends: ${shlibs:Depends}
Recommends: tetex-base, musixtex | musixtex-fonts
Description: GNU LilyPond -- A preprocessor to make TeX typeset music.
 GNU LilyPond is a program which converts a music-script (mudela) into TeX
 output, or MIDI to produce multi-staff scores. Features include multiple
 meters, clefs, keys, lyrics, versatile input-language, cadenzas beams,
 slurs, triplets, multiple voices.
 .
 Note: LilyPond uses the fonts from MusiXTeX.  Please install the package
       musixtex or musixtex-fonts when you install lilypond.  :)
 .
  URL: http://www.stack.nl/~hanwen/lilypond/
  Authors: Han-Wen Nienhuys <hanwen@stack.nl>
           Jan Nieuwenhuizen <jan@digicash.com>
